Cyberduck Mountain Duck CLI

#5070 closed enhancement (wontfix)

Add shell commands to host options for port forwarding

Reported by: https://www.google.com/accounts/o8/id?id=aitoawlaa4v8zbtoxhohmx6b-namhcianfqyroc Owned by: dkocher
Priority: normal Milestone:
Component: sftp Version: 3.5.1
Severity: normal Keywords:
Cc: Architecture: Intel
Platform: Mac OS X 10.5

Description (last modified by dkocher)

It would really be very useful if Cyberduck had an option to run a simple shell command before logging in to a host.

I have to use port forwarding to log in remotely to my machine at work. So to SFTP files back and forth, I have to start X11 first, run something like ssh -x -N -l <user> <server> -L2222:<mymachine>:22 &, and only then can I connect to localhost on port 2222 in Cyberduck to access the remote machine.

An extra field under "More options" when you connect to a host would seem an appropriate place for this.

Change History (4)

comment:1 Changed on Aug 24, 2010 at 2:58:14 PM by dkocher

  • Description modified (diff)

comment:2 Changed on Aug 24, 2010 at 2:58:50 PM by dkocher

  • Component changed from interface to sftp

comment:3 Changed on Mar 3, 2011 at 2:58:49 PM by Gparis

I noticed recently that PuTTY provides port forwarding (under "Tunnels"). Something similar in Cyberduck would be great, and this could provide inspiration for the interface.

comment:4 Changed on Oct 4, 2012 at 1:11:56 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

This is currently out of scope.

Note: See TracTickets for help on using tickets.
swiss made software